## netselect 0.2-3

=== Makefile ===
PREFIX = /usr/local
BINDEST = ${PREFIX}/bin
MANDEST = ${PREFIX}/man/man8

CFLAGS = -O2 -Wall -I. -g
LDFLAGS = -g
LIBS = 

netselect: netselect.o
	$(CC) $(LDFLAGS) -o $@ $@.o $(LIBS)
	-sudo chown root netselect && sudo chmod +s netselect

install: $(PROG)
	-install -d ${BINDEST}
	-install -d ${MANDEST}
	install -s -o root -g root -m 4755 netselect $(BINDEST)
	#install -o root -g root -m 0644 netselect.8 $(MANDEST)

uninstall:
	rm -f ${BINDEST}/netselect ${MANDEST}/netselect.8

clean:
	$(RM) netselect *.o *~ build-stamp

## netselect 0.2-5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 netselect: netselect.o
 	$(CC) $(LDFLAGS) -o $@ $@.o $(LIBS)
-	-sudo chown root netselect && sudo chmod +s netselect
+	-sudo chown root netselect && sudo chmod u+s netselect
 
 install: $(PROG)
 	-install -d ${BINDEST}

=== debian/changelog ===
netselect (0.2-5) frozen unstable; urgency=low

  * Rebuilt for with another new debhelper and proper packaging for a setuid
     program (not a security hole); fixes bug#54760.

  * Updated to "new BSD" license without the advertising clause.

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 17 May 2000 23:40:43 -0400

netselect (0.2-4) unstable; urgency=low

  * Rebuilt for potato with new debhelper.

 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:18:32 -0500

netselect (0.2-3) unstable; urgency=low

  * set architecture to 'any' instead of 'i386' in the control file.
     (thanks to Chris Chemelis <chris@beezer.med.miami.edu> for this one)

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:43:40 -0400

netselect (0.2-2) unstable; urgency=low

  * files were installing into /usr/local -- oops.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 13:30:06 -0400

netselect (0.2-1) unstable; urgency=low

  * Packaging my new program, "netselect," which chooses the fastest of
    a set of servers automatically.

 -- Avery Pennarun <apenwarr@debian.org>  Tue,  8 Sep 1998 02:49:57 -0400


Local variables:
mode: debian-changelog
End:      

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>
# And fiddled with by Avery Pennarun for use with netselect

package	= netselect
debtmp	:= $(shell pwd)/debian/tmp

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
		MANDEST=`pwd`/debian/tmp/usr/share/man install
	dh_installdocs			README HISTORY
#	dh_installmenu
#	dh_installinit			--noscripts
#	dh_installcron
#	dh_installmanpages
	dh_undocumented
	dh_installexamples		debian-ftp-mirrors
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	echo x1; ls -l debian/tmp/usr/bin
	dh_suidregister
	echo x2; ls -l debian/tmp/usr/bin
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	echo x3; ls -l debian/tmp/usr/bin
	dh_builddeb
	echo x4; ls -l debian/tmp/usr/bin

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## netselect 0.3-4

=== Makefile ===
PREFIX = /usr/local
BINDEST = ${PREFIX}/bin
MANDEST = ${PREFIX}/man/man8

CC = gcc
CFLAGS = -O2 -Wall -I. -g
LDFLAGS = -g
LIBS = 

ifdef OS2
LDFLAGS += -Zsmall-conv
LIBS += -lsocket
BINSUFFIX = .exe
STRIP =
else
STRIP = -s
endif

all: netselect-setuid

netselect: netselect.o
	${CC} ${LDFLAGS} -o $@ $^ ${LIBS}
ifdef OS2
	emxbind -bwq netselect
endif

.PHONY: netselect-setuid
netselect-setuid: netselect
ifndef OS2
	if [ "$$(id -u)" != 0 ]; then \
		sudo chown root netselect && sudo chmod u+s netselect; \
	else \
		chown root netselect && chmod u+s netselect; \
	fi
endif

install: $(PROG)
	-install -d ${BINDEST}
	#-install -d ${MANDEST}
	install $(STRIP) -o root -g root -m 4755 \
		netselect${BINSUFFIX} ${BINDEST}
	install -o root -g root -m 0755 netselect-apt ${BINDEST}
	#install -o root -g root -m 0644 netselect.8 ${MANDEST}

uninstall:
	$(RM) ${BINDEST}/netselect${BINSUFFIX} ${BINDEST}/netselect-apt
	$(RM) ${MANDEST}/netselect.8

clean:
	$(RM) netselect netselect${BINSUFFIX} *.o *~ build-stamp core

=== debian/changelog ===
netselect (0.3-4) unstable; urgency=low

  * Oops, I wasn't paying attention to the BTS again.  Changed the setuid
    stuff one more time.  Closes: #111338 (again)

 -- Avery Pennarun <apenwarr@debian.org>  Tue,  6 Nov 2001 21:02:36 -0500

  

netselect (0.3-3) unstable; urgency=low

  * Don't sudo if we think we're root so we can build with fakeroot;
    closes: #111338.

 -- Avery Pennarun <apenwarr@debian.org>  Wed,  5 Sep 2001 13:49:45 -0400

  

netselect (0.3-2) unstable; urgency=low

  * Add a build-depends for debhelper; closes: #110972.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  3 Sep 2001 15:46:44 -0400
  

netselect (0.3-1) unstable; urgency=low
  
  * New upstream version with many bug fixes.  closes: #56432, #71836.
  
  * Added a new netselect-apt script, which downloads the list of mirrors
     automatically.  Thus we don't need the long-outdated debian-ftp-mirrors
     example file.  closes: #61747, #66827, #67200, #71836.
    
  * Removed blank line from package description.  closes: #109451.
  
  * Removed dh_suidregister and added a Conflicts: with the old suidregister
     package.

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 29 Aug 2001 05:27:08 -0400

=== debian/control ===
Source: netselect
Section: net
Priority: optional
Maintainer: Avery Pennarun <apenwarr@debian.org>
Standards-Version: 2.4.1
Build-Depends: debhelper

Package: netselect
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Recommends: wget
Description: Choose the fastest server automatically.
 This is netselect, an ultrafast intelligent parallelizing binary-search
 implementation of "ping."  You give it a (possibly very long) list of
 servers, and it chooses the fastest/closest one automatically.  It's good
 for finding the fastest ftp.debian.org mirror, the least laggy IRC server,
 or the best Squid neighbour.
 .
 This version also includes netselect-apt, which creates an apt sources.list
 file automatically from the huge list of Debian mirrors.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	$(MAKE) netselect
 	touch build-stamp
 
 clean:
@@ -28,24 +28,27 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
+	dh_installdebconf
 	dh_clean -k
 	dh_installdirs
 	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
 		MANDEST=`pwd`/debian/tmp/usr/share/man install
-	dh_installdocs			README HISTORY
+	dh_installdocs	README README.OS2 README.traceroute HISTORY
 #	dh_installmenu
-#	dh_installinit			--noscripts
+#	dh_installinit	--noscripts
 #	dh_installcron
 #	dh_installmanpages
 	dh_undocumented
-	dh_installexamples		debian-ftp-mirrors
+	#dh_installexamples		debian-ftp-mirrors
 	dh_installchangelogs		ChangeLog
 	dh_strip
+	dh_link
 	dh_compress
 	echo x1; ls -l debian/tmp/usr/bin
-	dh_suidregister
+	#dh_suidregister
 	echo x2; ls -l debian/tmp/usr/bin
 	dh_fixperms
+	chmod u+s debian/tmp/usr/bin/netselect
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## netselect 0.3.ds1

=== Makefile ===
--- 
+++ 
@@ -16,22 +16,14 @@
 STRIP = -s
 endif
 
-all: netselect-setuid
+all: netselect
 
 netselect: netselect.o
 	${CC} ${LDFLAGS} -o $@ $^ ${LIBS}
 ifdef OS2
 	emxbind -bwq netselect
-endif
-
-.PHONY: netselect-setuid
-netselect-setuid: netselect
-ifndef OS2
-	if [ "$$(id -u)" != 0 ]; then \
-		sudo chown root netselect && sudo chmod u+s netselect; \
-	else \
-		chown root netselect && chmod u+s netselect; \
-	fi
+else
+	-sudo chown root netselect && sudo chmod u+s netselect
 endif
 
 install: $(PROG)

=== debian/changelog ===
netselect (0.3.ds1-31) unstable; urgency=medium

  * Move repository to Salsa to allow for team maintenance. After trying to
    restore the repository information and log from Alioth (SVN) it turns
    out it is much simpler and efficient to import all the packages using
    gbp. The old repository is nevertheless avialable in 'netselect-old' in
    case anything from it is required (I doubt it)
  * Acknowledge NMUs (Closes: #1089398, Closes: #1007410, #993416, #809034)
  * debian/control:
     - Add VCS fields pointing to Salsa, where the code now resides
     - Remove debian/compat, declare dependency in debian/control
     - Remove trailing whitespaces (lintian fix)
  * debian/patches/debian.patch:
     - Modify netslect-apt to use 'stable-security' instead of
       'stable/updates' as the format changed since Bullseye several
       years ago (Closes: #1012313)
     - Add also non-free-firmware when --non-free is selected
       (Closes: #1056907)
     - Add 'forky' (Debian 14) as a valid release name
  * debian/patches/debian-ipv6-support.patch: Add patch providing IPv6 support
    thanks to Bob Ham for creating it (Closes: #407767)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 09 Jan 2025 16:57:18 +0100

netselect (0.3.ds1-30.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089398)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 11:35:50 +0000

netselect (0.3.ds1-30.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007410, #993416)
  * Drop README.source, which is obvious with the 3.0 quilt series
  * Drop unused csum.c from Debian additions
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sun, 17 Mar 2024 17:12:45 +0000

netselect (0.3.ds1-30.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop Vcs-* fields (Closes: #809034)
  * Move upstream repo info from d/README.source to d/copyright

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 21:10:32 +0100

netselect (0.3.ds1-30) unstable; urgency=high

  * netselect-apt:
     - debian/control: Add ca-certificates as a dependency as it is required
       to validate Debian's certificates. Otherwise the wget call will fail
       when accessing www.debian.org as it now redirects from http to https
       (Closes: #999711)
     - Add the Debian releases which were missing: buster, bullseye, bookworm
       and trixie
     - Move the code of checking root permissions after the parsing of options
       to allow the --help option to be run without being root
       (Closes: #768568)
  * Move to debhelper compatibility version 13
  * debian/control: Move to Standards Version 4.5.1
  * debian/po/{fr,de}.po: Convert to UTF-8 (lintian fix)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Dec 2021 19:36:30 +0100

netselect (0.3.ds1-29) unstable; urgency=high

  * netselect-apt:
    - Fix bug that makes it output some hosts with negative value (Closes: 920907)
    - Fix bug in the Pelr parsing which prevented it from processing properly
      the mirrors listed in the Debian website (Closes: 989674)
  * debian/control: Move curl to depends as it is required by netselect-apt
   (Closes: 788793)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 04 Jul 2021 23:04:35 +0200

netselect (0.3.ds1-28) unstable; urgency=medium

  * Use debhelper files properly to relocation binaries and
    manpages (Closes: #827318)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 15 Jun 2016 02:13:10 +0200

netselect (0.3.ds1-27) unstable; urgency=medium

  * debian/{rules,control,compat}: Upgrade to debhelper compatibility version
      9, use the debhelper tools to build the packages (which should get
      rid of many lintian errors) (Closes: 822009)
  * debian/netselect.postinst: Remove check of absolute path of
    dpkg-statoverride (Closes: 770045)
  * netselect-apt: Add 'stretch' (current testing) as a valid codename for a
    release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 23 Apr 2016 23:09:56 +0200

netselect (0.3.ds1-26) unstable; urgency=medium

  * netselect-apt: Apply patch provided by Ben Wong in order to
    fix some bugs
     - Add 'jessie' to netselect to make it possible to search mirrors
       of that codename (Closes: #713838)
     - Ignore corrupted results (negative score) and throw them out.
       Netselect does not handle gracefully mirrors which use
       a Round Robin DNS (see bug #755238).
       The fix prevents netselect-apt from selecting mirrors with a '-'
       in some cases (Closes: #750952)
     - Return with an error in test_host if curl is not available or
       if an empty host is provided (as suggested by doekia in #750952)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 23 Sep 2014 20:30:12 +0200

netselect (0.3.ds1-25) unstable; urgency=low

  * netselect-apt: Fix minor typos spotted by Cyril Brulebois
  * debian/control: Add dependency on netselect version 0.3.ds1-17 in
    netselect-apt since this version depends on the options introduced
    in that release. (Closes: #671761)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 May 2012 23:14:38 +0200

netselect (0.3.ds1-24) unstable; urgency=low

  * netselect-apt:
     - modify regular expression to parse newest mirrors list with
       rel="nofollow" in href links. Thanks to "Nameless" for the patch
       (Closes: #667985, #665876)
     - more verbose output when netselect-apt fails indicating possible causes
       of errors
  * debian/control: Adjust maintainer's name

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 09 Apr 2012 18:13:47 +0200

netselect (0.3.ds1-23) unstable; urgency=low

  * Translations:
    - Updated Dutch translation provided by Jeroen Schot (Closes: #650646)
    - Added Polish translation provided by Michał Kułach (Closes: #660808)


=== debian/control ===
Source: netselect
Section: net
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.0
Build-Depends: debhelper (>= 13), po-debconf, debhelper-compat (= 13)
Homepage: http://github.com/apenwarr/netselect
Vcs-Browser: https://salsa.debian.org/debian/netselect
Vcs-Git: https://salsa.debian.org/debian/netselect.git

Package: netselect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: netselect-apt
Description: speed tester for choosing a fast network server
 This package provides a utility that can perform parallelized
 tests on distant servers using either UDP traceroutes or ICMP queries.
 .
 It can process a (possibly very long) list of servers, and choose the
 fastest/closest one automatically.

Package: netselect-apt
Architecture: all
Depends: wget, netselect (>= 0.3.ds1-17), curl, ca-certificates, ${misc:Depends}
Enhances: apt
Suggests: dpkg-dev
Description: speed tester for choosing a fast Debian mirror
 This package provides a utility that can choose the best Debian mirror
 by downloading the full mirror list and using netselect to find the
 fastest/closest one.
 .
 It can output a sources.list(5) file that can be used with package
 management tools such as apt or aptitude.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_build:
#	$(MAKE) netselect

override_dh_auto_install:
	$(MAKE) PREFIX=debian/tmp/usr install

## netselect 0.3.ds1-28mx15+1

=== debian/changelog ===
netselect (0.3.ds1-28mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 09 Apr 2017 18:36:01 -0700

=== debian/control ===
Source: netselect
Section: net
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 6), po-debconf
VCS-Git: git://github.com/apenwarr/netselect.git
VCS-Browser: http://github.com/apenwarr/netselect
VCS-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/netselect/trunk
Homepage: http://github.com/apenwarr/netselect

Package: netselect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: netselect-apt
Description: speed tester for choosing a fast network server
 This package provides a utility that can perform parallelized 
 tests on distant servers using either UDP traceroutes or ICMP queries.
 .
 It can process a (possibly very long) list of servers, and choose the
 fastest/closest one automatically.

Package: netselect-apt
Architecture: all
Depends: wget, netselect (>= 0.3.ds1-17), ${misc:Depends}
Recommends: curl
Enhances: apt
Suggests: dpkg-dev
Description: speed tester for choosing a fast Debian mirror
 This package provides a utility that can choose the best Debian mirror
 by downloading the full mirror list and using netselect to find the
 fastest/closest one.
 .
 It can output a sources.list(5) file that can be used with package
 management tools such as apt or aptitude.

## netselect 0.3.ds1-29

=== Makefile ===
PREFIX = /usr/local
BINDEST = ${PREFIX}/bin
MANDEST = ${PREFIX}/man/man1

CC = gcc
CFLAGS = -O2 -Wall -I. -g
LDFLAGS = -g
LIBS = 

ifdef OS2
LDFLAGS += -Zsmall-conv
LIBS += -lsocket
BINSUFFIX = .exe
STRIP =
else
STRIP = -s
endif

all: netselect

netselect: netselect.o
	${CC} ${LDFLAGS} -o $@ $^ ${LIBS}


install: $(PROG)
	
ifdef OS2
	emxbind -bwq netselect
else
	chown root netselect && chmod u+s netselect
endif
	
	-install -d ${BINDEST}
	-install -d ${MANDEST}
	install -o root -g root -m 4755 \
		netselect${BINSUFFIX} ${BINDEST}
	install -o root -g root -m 0755 netselect-apt ${BINDEST}
	install -o root -g root -m 0644 netselect.1 ${MANDEST}
	install -o root -g root -m 0644 netselect-apt.1 ${MANDEST}

	
uninstall:
	$(RM) ${BINDEST}/netselect${BINSUFFIX} ${BINDEST}/netselect-apt
	$(RM) ${MANDEST}/netselect.1
	$(RM) ${MANDEST}/netselect-apt.1

clean:
	$(RM) netselect netselect${BINSUFFIX} *.o *~ build-stamp core
	$(RM) mirrors_full

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: netselect
 Section: net
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 6), po-debconf
 VCS-Git: git://github.com/apenwarr/netselect.git
@@ -23,8 +22,7 @@
 
 Package: netselect-apt
 Architecture: all
-Depends: wget, netselect (>= 0.3.ds1-17), ${misc:Depends}
-Recommends: curl
+Depends: wget, netselect (>= 0.3.ds1-17), curl, ${misc:Depends}
 Enhances: apt
 Suggests: dpkg-dev
 Description: speed tester for choosing a fast Debian mirror

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,5 @@
 #	$(MAKE) netselect
 
 override_dh_auto_install:
-	$(MAKE) PREFIX=debian/tmp/usr install
+	$(MAKE) PREFIX=debian/tmp/usr \
+		MANDEST=debian/tmp/usr/share/man/man1 install

## netselect 0.3.ds2

=== debian/changelog ===
netselect (0.3.ds2-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: dca0d11612e72c3bf551b5cacbb2fea8fe1101c7']

 -- shuttle <shuttle@deepin.com>  Thu, 25 Jul 2019 13:32:22 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: netselect-apt
 Architecture: all
-Depends: wget, netselect (>= 0.3.ds1-17), curl, ${misc:Depends}
+Depends: wget, netselect (>= 0.3.ds1-17), ${misc:Depends}
+Recommends: curl
 Enhances: apt
 Suggests: dpkg-dev
 Description: speed tester for choosing a fast Debian mirror
